%define anolis_release 2

%global srcname parso
%global common_description %{expand:
Parso is a Python parser that supports error recovery and round-trip parsing
for different Python versions (in multiple Python versions). Parso is also able
to list multiple syntax errors in your python file.  Parso has been
battle-tested by jedi. It was pulled out of jedi to be useful for other
projects as well.  Parso consists of a small API to parse Python and analyse
the syntax tree.}

Name:           python-%{srcname}
Version:        0.8.3
Release:        %{anolis_release}%{?dist}
Summary:        Parser that supports error recovery and round-trip parsing
License:        MIT and Python
BuildArch:      noarch
URL:            https://github.com/davidhalter/parso
Source:         %pypi_source


%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}

sed -e 's/pytest<6.0.0/pytest/' -i setup.py
sed -e '/^addopts/d' -i pytest.ini


%generate_buildrequires
%pyproject_buildrequires -x testing


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
# https://github.com/davidhalter/parso/issues/123
%pytest --verbose -k "not test_python_exception_matches"


%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8.3-2
- Rebuild with python3.11

* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 0.8.3-1
- Import package for anolis 23
